Contenu | Rechercher | Menus
Selon les tags présents sur cette page, celle-ci est ancienne et ne contient plus d'informations sur une des versions supportées d'Ubuntu.
Apportez votre aide…

Phoronix Test Suite: le benchmarking sous Linux

Pour les adeptes de l'overclocking, Linux manque cruellement d'outils permettant d'éprouver une machine overclockée. Phoronix_test_suite est une suite logicielle proposant une multitude de benchmarks (tests) permettant d'évaluer les performances des CPU, RAM, GPU, DD, etc…

La liste des tests disponibles: http://global.phoronix-test-suite.com/?k=tests

Certains benchmarks sont basiques comme compress-7zip et d'autres très évolués, font appel à des démos de jeux afin d'évaluer les capacités de la totalité du système comme universe. Le temps de téléchargement lors de l'installation et la durée du benchmark seront donc en conséquences

Le résultat du bench est affiché sous forme de rapport, avec caractéristiques de la machine et graphiques de résultats de performances. Phoronix_test_suite donne la possibilité d'envoyer ce résultat à la base de données afin qu'il puisse être comparé par d'autres utilisateurs du logiciel.

Phoronix test suite peut être utilisé de 2 façons :

En ligne de commande A l'aide de l'interface graphique

Si l'installation et l'utilisation en ligne de commande ne présente aucune difficulté, faire fonctionner l'interface graphique est plus complexe. Celle-ci étant particulièrement conviviale et simple d'utilisation, la description de sa procédure d'installation est le but principal de cette documentation.

Installation

Depuis les dépôts officiels

Depuis le site de Phoronix Test Suite

Il n'y a pas de support officiel pour les paquets qui ne viennent pas des dépôts Ubuntu.

Télécharger et installer le paquet le paquet .deb pour Ubuntu, depuis le site officiel PTS.deb.

gdebi installe votre paquet sans aucune ligne de commande.

Utilisation

Via la ligne de commande

Installer le bench que vous voulez utiliser (par exemple compress-7zip) :

phoronix-test-suite install compress-7zip 

Lancer le bench :

phoronix-test-suite benchmark compress-7zip

Il vous sera demandé la destination du fichier de résultat et si vous voulez télécharger ce résultat sur le site Phoronix_Test_Suite.

Le résultat du bench sera enregistré au format xml, lisible avec Firefox, sous :

~/.phoronix-test-suite/test-results/test/nom_du_fichier_de_destination.xml

Via l'interface graphique

Lancez l'interface graphique depuis le raccourcis dans Applications → Outils système → Phoronix Test Suite.

Si l'interface graphique ne se lance pas, suivez ces instructions.

L'interface est simple et intuitive, elle ne nécessite donc pas d'explications particulières.

Désinstallation

Pour supprimer cette application, il suffit de supprimer son paquet. Selon la méthode choisie, le configuration globale de l'application est conservée ou supprimée. Les journaux du système, et les fichiers de préférence des utilisateurs dans leurs dossiers personnels sont toujours conservés.

Problèmes et solutions

Complément d'installation pour la version GUI sous Ubuntu 9.04 et 9.10

Lors de l'installation du paquet PTS.deb un raccourci est créé dans le menu Applications / Outils système. Mais celui-ci ne fonctionne pas.

De même, la commande de lancement de l'interface graphique, retourne l'erreur suivante:

phoronix-test-suite gui
The PHP GTK module must be loaded for the GUI.
This module can be found @ http://gtk.php.net/

La méthode ci-dessous indique comment résoudre ce dysfonctionnement (trouvé sur le forum anglais d'Ubuntu).

En effet, le module PHP-GTK requis par Phoronix Test Suite GUI est ancien et n'est plus maintenu. Merci à budluva04 qui a trouvé un patch pour contourner ce problème. ;-)

  • Télécharger et installer php-gtk :
      cd ~/
      wget http://gtk.php.net/do_download.php?download_file=php-gtk-2.0.1.tar.gz
      tar zxvf php-gtk-2.0.1.tar.gz
  • Télécharger et installer le patch :
      cd php-gtk-2.0.1
      wget http://www.opsat.net/temp/buildfix.diff
      patch -p1 < buildfix.diff
  • Compilation :
      ./buildconf
      ./configure
      make
      sudo make install
  • Editer PHP.ini afin de lancer le module PHP-GTK, modifier le fichier /etc/php5/cli/php.ini.
    En-dessous du paragraphe :
      ; If you use constants in your value, and these constants belong to a
      ; dynamically loaded extension (either a PHP extension or a Zend extension),
      ; you may only use these constants *after* the line that loads the extension.

    Insérer la ligne :

      extension=php_gtk2.so
  • Test
      cd demos/
      php phpgtk2-demo.php

Si cette fenêtre s'ouvre, tout est OK, vous pouvez lancer la version graphique de phoronix test suite depuis le menu Applications / Outils système.

Complément d'installation pour la version GUI sous Ubuntu 10.04

Lors de l'installation du paquet PTS.deb un raccourci est créé dans le menu Applications / Outils système. Mais celui-ci ne fonctionne pas.

De même, la commande de lancement de l'interface graphique, retourne l'erreur suivante:

phoronix-test-suite gui
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20090626+lfs/php_gtk2.so' - /usr/lib/php5/20090626+lfs/php_gtk2.so: cannot open shared object   file: No such file or directory in Unknown on line 0
PHP Fatal error:  Class 'GtkWindow' not found in /usr/share/phoronix-test-suite/pts-core/objects/gtk/pts_gtk_window.php on line 24

La méthode ci-dessous indique comment résoudre ce dysfonctionnement:

Pré-requis

L'ensemble des commandes décrites ci-dessous sont lancées depuis votre home ~/

Installer pecl-cairo

Installer la dernière version de pecl-cairo via Subversion nécessaire à la compilation de php-gtk avec la commande suivante:

svn co http://svn.php.net/repository/pecl/cairo/trunk pecl-cairo

Déplacez le dossier téléchargé dans /usr/local/src.

sudo mv ~/pecl-cairo/ /usr/local/src/

Puis compiler:

cd /usr/local/src/pecl-cairo
phpize
./configure
make
sudo checkinstall  

Lors de la création du paquet, checkinstall vous proposera de modifier les informations du paquet. Veillez à ce que la ligne 3 (N° de version) soit renseignée (un chiffre quelconque est requis). Si ce n'est pas le cas, faites-le manuellement; sans quoi la création du paquet échouera. Ceci est valable pour toutes les compilations suivantes.

Installer php-gtk

Il est indispensable d'installer la dernière version de php-gtk via Subversion avec la commande suivante:

svn co http://svn.php.net/repository/gtk/php-gtk/trunk php-gtk

Déplacez le dossier téléchargé dans /usr/local/src.

sudo mv ~/php-gtk/ /usr/local/src/

Se placer dans le répertoire:

cd /usr/local/src/php-gtk

Dans sa dernière version la librairie libtool.m4 a été découpée en plusieurs fichiers. Il va falloir la reconstituer en un seul, pour pouvoir compiler php-gtk (merci à jacobus77 ;-) ) :

sudo cat /usr/share/aclocal/ltoptions.m4 /usr/share/aclocal/ltversion.m4 /usr/share/aclocal/ltsugar.m4 /usr/share/aclocal/lt~obsolete.m4 >>aclocal.m4  

Puis compiler:

./buildconf
./configure
make
sudo checkinstall  

Lors de la création du paquet, checkinstall vous proposera de modifier les informations du paquet. Veillez à ce que la ligne 3 (N° de version) soit renseignée (un chiffre quelconque est requis). Si ce n'est pas le cas, faites-le manuellement; sans quoi la création du paquet échouera. Ceci est valable pour toutes les compilations suivantes.

Editer PHP.ini afin de lancer le module PHP-GTK

modifier le fichier /etc/php5/cli/php.ini ; en-dessous du paragraphe :

  ; If you use constants in your value, and these constants belong to a
  ; dynamically loaded extension (either a PHP extension or a Zend extension),
  ; you may only use these constants *after* the line that loads the extension.

Insérer la ligne :

  extension=php_gtk2.so
  • Test
      cd demos/
      php phpgtk2-demo.php

Si cette fenêtre s'ouvre, tout est OK, vous pouvez lancer la version graphique de phoronix test suite depuis le menu Applications / Outils système.

Liens


Contributeurs principaux : foxprobe, draco31.fr


phoronix_test_suite.txt · Dernière modification: Le 17/02/2012, 11:57 par YoBoY
Le contenu de ce wiki est sous licence : CC BY-SA v3.0